## symfony 7.1.5+dfsg

=== src/Symfony/Component/Emoji/Resources/bin/Makefile ===
.PHONY: help update build
.DEFAULT_GOAL := help

update: ## Update sources
	@composer update
	@curl https://api.github.com/emojis > vendor/github-emojis.json
	@curl https://gitlab.com/gitlab-org/gitlab/-/raw/master/fixtures/emojis/index.json > vendor/gitlab-emojis.json
	@curl https://raw.githubusercontent.com/iamcal/emoji-data/master/emoji.json > vendor/slack-emojis.json
	@curl -L https://unicode.org/Public/emoji/latest/emoji-test.txt > vendor/emoji-test.txt

build: ## Build rules
	@./build.php

help:
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-7s\033[0m %s\n", $$1, $$2}'

=== debian/changelog ===
symfony (7.1.5+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.1.5

 -- David Prévot <taffit@debian.org>  Sun, 22 Sep 2024 11:07:47 +0200

symfony (7.1.4+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.1.4

  [ David Prévot ]
  * Skip failing tests (Closes: #1073470)

 -- David Prévot <taffit@debian.org>  Sun, 01 Sep 2024 12:07:25 +0200

symfony (7.1.3+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.1.3

 -- David Prévot <taffit@debian.org>  Sat, 27 Jul 2024 14:54:52 +0900

symfony (7.1.2+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.1.2

 -- David Prévot <taffit@debian.org>  Tue, 23 Jul 2024 16:57:43 +0900

symfony (7.1.0~rc1+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.1.0-RC1

  [ David Prévot ]
  * Update homemade autoload.php template
  * Build-Depend on recent (>= 3.10) php-twig

 -- David Prévot <taffit@debian.org>  Sun, 19 May 2024 10:29:08 +0200

symfony (7.1.0~beta1+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.1.0-BETA1

  [ David Prévot ]
  * Add new components:
    - php-symfony-emoji
    - php-symfony-type-info
    - php-symfony-azure-mailer
    - php-symfony-resend-mailer
    - php-symfony-bluesky-notifier
    - php-symfony-lox24-notifier
    - php-symfony-pushy-notifier
    - php-symfony-sevenio-notifier
    - php-symfony-sms-sluzba-notifier
    - php-symfony-smsbox-notifier
    - php-symfony-smsense-notifier
    - php-symfony-unifonic-notifier
  * Update Homepage for components

 -- David Prévot <taffit@debian.org>  Tue, 14 May 2024 13:40:42 +0200

symfony (7.0.7+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.0.7

  [ David Prévot ]
  * Update Standards-Version to 4.7.0
  * Update copyright for duplicated image
  * Update changelog for 7.0.7+dfsg-1 release

 -- David Prévot <taffit@debian.org>  Thu, 02 May 2024 19:24:53 +0200

symfony (7.0.6+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.0.6

  [ David Prévot ]
  * Require Stopwatch
  * Mark php-symfony-messenger package as Multi-Arch: foreign
  * Skip test failing in ppc64el
  * Drop signature check (latest upstream tag is not signed)
  * Update copyright for new image

 -- David Prévot <taffit@debian.org>  Sun, 07 Apr 2024 11:59:13 +0200

symfony (7.0.5+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.0.5

  [ Jakub Caban ]
  * Enhance error handling in StaticPrefixCollection for compatibility with
    libpcre2-10.43

  [ Alexander M. Turek ]
  * Safeguard dynamic access to Doctrine metadata properties

  [ Gálik Pál ]
  * [Mailer][Brevo] Remove tags from mandatory event arguments

  [ Nicolas Grekas ]
  * [HttpClient] Fix deprecation on PHP 8.3

  [ Phil E. Taylor ]
  * [AssetMapper] Fix `JavaScriptImportPathCompiler` regression in regex

  [ Ruud Kamphuis ]
  * [Clock] Add PHPUnit 10 attributes

  [ llupa ]
  * [Security][Tests] Update functional tests to better reflect end-user
    scenarios

  [ Simon André ]
  * [AssetMapper] Throw exception in Javascript compiler when PCRE error

  [ David Prévot ]
  * Mark php-symfony-clock package as Multi-Arch: foreign
  * Fix expected abi for arm

 -- David Prévot <taffit@debian.org>  Tue, 05 Mar 2024 16:56:37 +0100

symfony (7.0.4+dfsg-1) experimental; urgency=medium

  * Upload new major to experimental

  [ Fabien Potencier ]
  * Update VERSION for 7.0.4

  [ Nicolas Grekas ]
  * [ProxyManagerBridge] Drop the bridge
  * [HttpClient] Remove implementing `Http\Message\RequestFactory`
    from `HttplugClient`

  [ Alexander M. Turek ]
  * [FrameworkBundle] Remove doctrine/annotations integration
  * [Serializer] Remove Doctrine annotations support
  * [Validator] Remove Doctrine annotations support
  * [Routing] Remove Doctrine annotations support

  [ David Prévot ]
  * Track latest version in experimental
  * Drop packages
    - php-symfony-templating
    - php-symfony-proxy-manager-bridge
    - php-symfony-oh-my-smtp-mailer
    - php-symfony-sendinblue-mailer
    - php-symfony-sendinblue-notifier
  * Drop dependencies
    - php-doctrine-annotations
    - php-friendsofphp-proxy-manager-lts
    - php-http-message-factory
  * Use recent php-monolog (>= 3)
  * Update Homepage URL to 7.0

 -- David Prévot <taffit@debian.org>  Mon, 04 Mar 2024 11:00:38 +0100

=== debian/control ===
Source: symfony
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: Daniel Beyer <dabe@deb.ymc.ch>, David Prévot <taffit@debian.org>
Section: php
Priority: optional
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13),
               dh-sequence-phpcomposer,
               pkg-php-tools
Build-Depends-Indep: composer,
                     dctrl-tools,
                     file,
                     jq,
                     locales-all,
                     parallel,
                     php-amqp,
                     php-apcu,
                     php-async-aws-ses,
                     php-async-aws-sns,
                     php-async-aws-sqs,
                     php-cache-integration-tests,
                     php-curl,
                     php-doctrine-data-fixtures,
                     php-doctrine-orm,
                     php-dragonmantank-cron-expression,
                     php-email-validator,
                     php-gd,
                     php-guzzlehttp-promises,
                     php-http-httplug,
                     php-intl,
                     php-ldap,
                     php-league-html-to-markdown,
                     php-league-uri,
                     php-masterminds-html5,
                     php-mbstring,
                     php-memcached,
                     php-monolog (>= 3),
                     php-nyholm-psr7,
                     php-pda-pheanstalk,
                     php-pgsql,
                     php-phpdbg,
                     php-phpdocumentor-reflection-docblock,
                     php-phpstan-phpdoc-parser,
                     php-predis,
                     php-psr-cache (>= 2),
                     php-psr-clock,
                     php-psr-container,
                     php-psr-http-client,
                     php-psr-link,
                     php-psr-log,
                     php-psr-simple-cache,
                     php-redis,
                     php-sqlite3,
                     php-symfony-contracts (>= 3),
                     php-symfony-mercure-bundle,
                     php-symfony-polyfill-php83,
                     php-symfony-security-acl,
                     php-twig (>= 3.10),
                     php-twig-cssinliner-extra,
                     php-twig-inky-extra,
                     php-twig-markdown-extra,
                     php-uuid,
                     phpab,
                     phpunit
Homepage: https://symfony.com/
Vcs-Browser: https://salsa.debian.org/php-team/pear/symfony
Vcs-Git: https://salsa.debian.org/php-team/pear/symfony.git
Rules-Requires-Root: no

Package: php-symfony
Architecture: all
Depends: ${misc:Depends},
         ${phpcomposer:Debian-replace},
         ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Breaks: ${phpcomposer:Debian-conflict}
Provides: ${phpcomposer:Debian-provide}
Description: set of reusable components and framework for web projects
 ${phpcomposer:description} allows one to create websites and web
 applications. It’s a set of tools and a development methodology.
 .
 This package depends on every component. Applications depending on
 Symfony should rather depend on individual components actually needed
 by them.

Package: php-symfony-asset
Multi-Arch: foreign
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/7.1/components/asset.html
Description: manage asset URLs
 The Symfony Asset Component manages URL generation and versioning of
 web assets such as CSS stylesheets, JavaScript files and image files.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-asset-mapper
Multi-Arch: foreign
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: maps directories of asset and makes them available in a public directory
 The Symfony AssetMapper Component allows one to expose directories of assets
 that are then moved to a public directory with digested (i.e. versioned)
 filenames. It also allows one to dump an importmap to allow writing modern
 JavaScript without a build system.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-browser-kit
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/7.1/components/browser_kit.html
Description: simulate the behavior of a web browser
 The Symfony BrowserKit Component simulates the behavior of a web browser,
 allowing you to make requests, click on links and submit forms
 programmatically.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-cache
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/7.1/components/cache.html
Description: provides extended PSR-6, PSR-16 (and tags) implementations
 The Symfony Cache Component provides extended PSR-6 implementations for
 adding cache to applications. It is designed to have a low overhead so
 that caching is fastest. It ships with adapters for the most widespread
 caching backends. It also provides a PSR-16 adapter, and implementations
 for `symfony/cache-contracts` `CacheInterface` and `TagAwareCacheInterface`.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-config
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/7.1/components/config.html
Description: load configurations from different data sources
 The Symfony Config Component provides the infrastructure for loading
 configurations from different data sources and optionally monitoring
 these for changes. Additional tools for validating, normalizing and
 handling of defaults are provided.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-clock
Multi-Arch: foreign
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/7.1/components/clock.html
Description: ${phpcomposer:description}
 The Symfony Clock Component decouples applications from the system clock.
 This allows one to fix time to improve testability of time-sensitive logic.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-console
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/7.1/components/console.html
Description: run tasks from the command line
 The Symfony Console Component can be used to implement recurring
 or long running tasks, such as cronjobs, imports or other batch
 jobs. Additionally it assists the creation of nice looking command
 line interfaces.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-css-selector
Multi-Arch: foreign
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/7.1/components/css_selector.html
Description: convert CSS selectors to XPath expressions
 The Symfony CssSelector Component can be used to convert CSS selectors
 to XPath expressions. It basically is a port of the Python lxml library.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-dependency-injection
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/7.1/components/dependency_injection.html
Description: standardize and centralize construction of objects
 The Symfony DependencyInjection Component allows one to standardize and
 centralize the way objects are constructed in an application.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-dom-crawler
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/7.1/components/dom_crawler.html
Description: ease DOM navigation for HTML and XML documents
 The Symfony DomCrawler Component provides methods to query and
 manipulate HTML and XML documents.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-dotenv
Multi-Arch: foreign
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/7.1/components/dotenv.html
Description: .env files parser to make environment variables accessible
 The Symfony Dotenv Component parses .env files to make environment variables
 stored in them accessible via getenv(), $_ENV, or $_SERVER.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-emoji
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/components/Emoji
Description: provide emoji characters and sequences
 The Symfony ErrorHandler Component provides access to emoji characters and
 sequences from the Unicode CLDR.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-error-handler
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/7.1/components/error_handler.html
Description: manage errors and ease debugging
 The Symfony ErrorHandler Component provides tools to manage errors and ease
 debugging PHP code.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# Check if licenses of all images are properly covered in d/copyright
	./debian/licensing/bin/check_image_licenses --check
else
	@echo "** image license check disabled"
endif
	phpab \
		--template debian/autoload.php.tpl \
		--output src/Symfony/autoload.php \
		src/Symfony/Bundle/FullStack.php
	mkdir --parents debian/packages_to_build debian/autoloaders
	# Walk through the parts of upstream's code that should be packaged into
	# separate Debian binary packages and write down a package-to-build info
	# file containing shell variables for each package.
	# Those files will be traverse later on in different targets of this
	# makefile (debian/rules). They solely exists to not repeat the extraction
	# of those variables in each of those target over and over again.
	# Then, build a class loader for the package, using the template in
	# debian/$deb_pkg_name.autoload.php.tpl if it exists (to load dependencies).
	set -e;\
	 for src_path in $$(find src/Symfony/ -mindepth 2 -maxdepth 4 -type d); do \
	  if [ -e $$src_path/composer.json ]; then \
	   pkg_path=$${src_path#src/Symfony/}; \
	   deb_pkg_name=php-$$(cat $$src_path/composer.json | jq -r '.name | tostring' | sed -r 's|/|-|'); \
	   if [ $$(grep -c -E -e "^Package: $$deb_pkg_name\$$" debian/control) -ne 1 ]; then \
	    echo "W: No Debian package '$$deb_pkg_name' defined in debian/control," 1>&2; \
	    echo "   therefor not considering Symfony $$pkg_path," 1>&2; \
	    continue; \
	   fi; \
	   echo "# This file contains some variables sourced" > debian/packages_to_build/$$deb_pkg_name; \
	   echo "# by various targets in debian/rules" >> debian/packages_to_build/$$deb_pkg_name; \
	   echo "deb_pkg_name='$$deb_pkg_name'" >> debian/packages_to_build/$$deb_pkg_name; \
	   echo "src_path='$$src_path'" >> debian/packages_to_build/$$deb_pkg_name; \
	   echo "pkg_path='$$pkg_path'" >> debian/packages_to_build/$$deb_pkg_name; \
	   echo "symfony $${deb_pkg_name#php-symfony-} Symfony/$$pkg_path/autoload.php" > debian/autoloaders/$$deb_pkg_name; \
	   if [ \( $$deb_pkg_name = php-symfony-mailer \) -o \
		\( $$deb_pkg_name = php-symfony-messenger \) -o \
		\( $$deb_pkg_name = php-symfony-notifier \) -o \
		\( $$deb_pkg_name = php-symfony-translation \) ] ; then \
	    phpab --output $$src_path/autoload.php \
		--blacklist '*\\tests\\*' \
		--blacklist '*\\bridge\\*' \
		--exclude 'src/Symfony/Component/Messenger/Tests/Exception/HandlerFailedExceptionTest.php' \
		--whitelist 'symfony\\*' \
		--template debian/$$deb_pkg_name.autoload.php.tpl \
		$$src_path; \
	   else \
	    phpab --output $$src_path/autoload.php \
		--blacklist '*\\tests\\*' \
		--blacklist 'symfony\\config\\*' \
		--exclude 'src/Symfony/Bridge/Doctrine/Tests/ArgumentResolver/EntityValueResolverTest.php' \
		--exclude 'src/Symfony/Bridge/Doctrine/Tests/Fixtures/DoctrineLoaderEmbed.php' \
		--exclude 'src/Symfony/Bridge/Doctrine/Tests/Fixtures/DoctrineLoaderEntity.php' \
		--exclude 'src/Symfony/Bridge/Doctrine/Tests/Fixtures/EmbeddedIdentifierEntity.php' \
		--exclude 'src/Symfony/Bridge/Doctrine/Tests/PropertyInfo/Fixtures/DoctrineWithEmbedded.php' \
		--exclude 'src/Symfony/Bridge/ProxyManager/Tests/LazyProxy/PhpDumper/Fixtures/proxy-implem.php' \
		--exclude 'src/Symfony/Component/DependencyInjection/Tests/Fixtures/php/*' \
		--exclude 'src/Symfony/Component/Routing/Tests/Fixtures/AttributesFixtures/*' \
		--whitelist 'symfony\\*' \
		--tolerant \
		--template debian/$$deb_pkg_name.autoload.php.tpl \
		$$src_path; \
	   fi; \
	  fi; \
	 done

override_dh_auto_test:
	mkdir --parents vendor build
	cp -r src/Symfony build
	rm -r build/Symfony/Contracts
	cp debian/autoload_runtime.php vendor
	phpab	--output vendor/autoload.php \
		--whitelist '*\\tests\\*' \
		--tolerant \
		--template debian/autoload.php.tests.tpl \
		--blacklist 'symfony\\component\\dependencyinjection\\tests\\fixtures\\container\\projectservicecontainer' \
		--exclude 'build/Symfony/Bridge/Doctrine/Tests/ArgumentResolver/EntityValueResolverTest.php' \
		--exclude 'build/Symfony/Bridge/Doctrine/Tests/Fixtures/DoctrineLoaderEmbed.php' \
		--exclude 'build/Symfony/Bridge/Doctrine/Tests/Fixtures/DoctrineLoaderEntity.php' \
		--exclude 'build/Symfony/Bridge/Doctrine/Tests/Fixtures/EmbeddedIdentifierEntity.php' \
		--exclude 'build/Symfony/Bridge/Doctrine/Tests/PropertyInfo/Fixtures/DoctrineWithEmbedded.php' \
		--exclude 'build/Symfony/Bridge/ProxyManager/Tests/LazyProxy/PhpDumper/Fixtures/proxy-implem.php' \
		--exclude 'build/Symfony/Component/DependencyInjection/Tests/Fixtures/php/*' \
		--exclude 'build/Symfony/Component/Messenger/Tests/Exception/HandlerFailedExceptionTest.php' \
		--exclude 'build/Symfony/Component/Routing/Tests/Fixtures/AttributesFixtures/*' \
		build/Symfony
	ln -s /usr/share/php/AsyncAws build
	ln -s /usr/share/php/Cache build
	ln -s /usr/share/php/Composer build
	ln -s /usr/share/php/Cron build
	ln -s /usr/share/php/Doctrine build
	ln -s /usr/share/php/Egulias build
	ln -s /usr/share/php/GuzzleHttp build
	ln -s /usr/share/php/Http build
	ln -s /usr/share/php/League build
	ln -s /usr/share/php/Masterminds build
	ln -s /usr/share/php/Monolog build
	ln -s /usr/share/php/Nyholm build
	ln -s /usr/share/php/Pheanstalk build
	ln -s /usr/share/php/phpDocumentor build
	ln -s /usr/share/php/PHPStan build
	ln -s /usr/share/php/PHPUnit build
	ln -s /usr/share/php/Predis build
	ln -s /usr/share/php/ProxyManager build
	ln -s /usr/share/php/Psr build
	ln -s /usr/share/php/Symfony/Contracts build/Symfony
	ln -s /usr/share/php/Symfony/Component/Mercure build/Symfony/Component
	ln -s /usr/share/php/Symfony/Component/Security/Acl build/Symfony/Component/Security
	ln -s /usr/share/php/Symfony/Polyfill build/Symfony
	ln -s /usr/share/php/Twig build
	ln -s build/Symfony .
	# Actual tests suite
	components=$$(find build/Symfony -mindepth 3 -maxdepth 4 -type f -name phpunit.xml.dist -printf '%h\n') && \
	 echo "$$components" | parallel --gnu --keep-order '/bin/echo -e "\\nRunning {} tests"; SYMFONY_DEPRECATIONS_HELPER=weak php -d assert.exception=1 -d zend.assertions=1 /usr/bin/phpunit --include build --colors=always --exclude-group jwt,network,tty,benchmark,intl-data,functional,composer {} || (/bin/echo -e "\\e[41mKO\\e[0m {}" && $$(exit 1));';

override_dh_phpcomposer:
	dh_phpcomposer --package=php-symfony --sourcedirectory=./
	# In debian/packages_to_build/ a file containing shell variables exists
	# for each package that should be build. Source one file after another
	# to make the shell variables available and run dh_phpcomposer for each
	# package.
	set -e;\
	 for package_info_file in $$(find debian/packages_to_build/ -mindepth 1 -maxdepth 1 -type f); do \
	  . $$package_info_file; \
	  dh_phpcomposer --package=$$deb_pkg_name --sourcedirectory=$$src_path; \
	 done

override_dh_install:
	dh_install --package=php-symfony
	# In debian/packages_to_build/ a file containing shell variables exists
	# for each package that should be build. Source one file after another
	# to make the shell variables available and run dh_install in order to
	# provide the PHP runtime code for each package.
	set -e; \
	 for package_info_file in $$(find debian/packages_to_build/ -mindepth 1 -maxdepth 1 -type f); do \
	  . $$package_info_file; \
	  dh_install --package=$$deb_pkg_name; \
	  dh_install --package=$$deb_pkg_name \
	      debian/autoloaders/$$deb_pkg_name usr/share/pkg-php-tools/autoloaders; \
	  if [ \( $$deb_pkg_name = php-symfony-mailer \) -o \
	       \( $$deb_pkg_name = php-symfony-messenger \) -o \
	       \( $$deb_pkg_name = php-symfony-notifier \) -o \
	       \( $$deb_pkg_name = php-symfony-translation \) ] ; then \
	   dh_install \
		-X.md \
		-Xcomposer.json \
		-XBridge \
		-XLICENSE \
		-Xphpunit.xml.dist \
		-XTests \
		--package=$$deb_pkg_name \
		$$src_path/* \
		usr/share/php/Symfony/$$pkg_path/; \
	  else \
	   dh_install \
		-X.git \
		-X.md \

=== debian/tests/control ===
Tests: phpunit
Restrictions: rw-build-tree, allow-stderr
Depends: composer,
         locales-all,
         parallel,
         patch,
         php-amqp,
         php-apcu,
         php-async-aws-sqs,
         php-cache-integration-tests,
         php-curl,
         php-doctrine-data-fixtures,
         php-doctrine-orm,
         php-dragonmantank-cron-expression,
         php-email-validator,
         php-gd,
         php-guzzlehttp-promises,
         php-http-httplug,
         php-league-html-to-markdown,
         php-masterminds-html5,
         php-memcached,
         php-nyholm-psr7,
         php-pgsql,
         php-phpdocumentor-reflection-docblock,
         php-phpstan-phpdoc-parser,
         php-predis,
         php-psr-http-client,
         php-psr-simple-cache,
         php-redis,
         php-sqlite3,
         php-symfony-mercure-bundle,
         php-symfony-security-acl,
         php-twig-cssinliner-extra,
         php-twig-inky-extra,
         php-twig-markdown-extra,
         phpab,
         phpunit,
         @

## symfony 7.3.2+dfsg

=== debian/changelog ===
symfony (7.3.2+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.3.2

 -- David Prévot <taffit@debian.org>  Mon, 04 Aug 2025 09:38:26 +0200

symfony (7.3.1+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.3.1

  [ David Prévot ]
  * [phpunit] Update expected deprecations

 -- David Prévot <taffit@debian.org>  Wed, 02 Jul 2025 13:43:38 +0200

symfony (7.3.0+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.3.0

 -- David Prévot <taffit@debian.org>  Thu, 29 May 2025 14:28:41 +0200

symfony (7.3.0~rc1+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.3.0-RC1

 -- David Prévot <taffit@debian.org>  Wed, 28 May 2025 13:01:41 +0200

symfony (7.3.0~beta2+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.3.0-BETA2

  [ David Prévot ]
  * Update homemade autoload.php templates
  * php-symfony-beanstalkd-messenger: Use recent php-pda-pheanstalk
  * Drop Adapt-expected-output-on-buildd.patch

 -- David Prévot <taffit@debian.org>  Sun, 11 May 2025 09:26:47 +0200

symfony (7.3.0~beta1+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.3.0-BETA1

  [ David Prévot ]
  * New php-symfony-webpack-encore-bundle build-dependency
  * Update build-dependencies version
  * Update homemade autoload.php templates
  * Use 7.3 in URLs
  * Add new components:
    - php-symfony-aha-send-mailer
    - php-symfony-json-path
    - php-symfony-json-streamer
    - php-symfony-matrix-notifier
    - php-symfony-object-mapper
  * Workaround license check issue
  * php-parser is now directly used during tests
  * Update deprecated php-symfony-sms77-notifier description
  * Load php-symfony-security-acl for tests
  * Workaround the lack of InstalledVersions::getVersion
  * Adapt expected output on buildd
  * Build-depend on php-dba
  * [Security/Core] Skip test currently failing on Debian
  * Drop tests currently failing on reproducible infrastructure

 -- David Prévot <taffit@debian.org>  Mon, 05 May 2025 08:28:02 +0200

symfony (7.2.6-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.2.6

  [ David Prévot ]
  * Skip tests failing with PHPUnit 11.5.17-1 (Closes: #1103209)

 -- David Prévot <taffit@debian.org>  Fri, 02 May 2025 11:54:09 +0200

symfony (7.2.5+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.2.5

  [ David Prévot ]
  * Drop patches not needed anymore
  * Test suite now compatible with PHP 8.4.5
  * Update Standards-Version to 4.7.2
  * Make provider function static (PHPUnit 11 Fix)

 -- David Prévot <taffit@debian.org>  Sat, 29 Mar 2025 09:53:40 +0100

symfony (7.2.4+dfsg-1) experimental; urgency=medium

  [ Thomas Bibaut ]
  * [DependencyInjection] Fix env default processor with scalar node

  [ David Prévot ]
  * ntfy-notifier: tfix in description (Closes: #1095786)

  [ Alexandre Daubois ]
  * [TwigBridge] Fix compatibility with Twig 3.21
  * [DoctrineBridge] Fix deprecation with `doctrine/dbal` ^4.3

 -- David Prévot <taffit@debian.org>  Fri, 28 Feb 2025 06:15:41 +0100

symfony (7.2.3+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.2.3

  [ Grégoire Paris ]
  * Add support for doctrine/persistence 4

  [ David Prévot ]
  * Backport patches for PHPUnit 11
  * Drop php-symfony-polyfill-php83 requirement now that PHP 8.4 is the default
  * Use --exclude-group multiple times (PHPUnit 11 fix)
  * Drop never ending tests with PHPUnit 11
  * Drop SymfonyTestsListener from php-symfony-phpunit-bridge
  * Exclude group nophpunit11 for tests failing with PHPUnit 11
  * Use SYMFONY_DEPRECATIONS_HELPER=disabled instead of weak
  * Make provider functions static (PHPUnit 11 Fix)

 -- David Prévot <taffit@debian.org>  Wed, 29 Jan 2025 23:23:45 +0100

symfony (7.2.2+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.2.2

  [ David Prévot ]
  * phpab: exclude PhpStanExtractorTest.php

 -- David Prévot <taffit@debian.org>  Thu, 02 Jan 2025 22:16:09 +0100

symfony (7.2.1+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.2.1

 -- David Prévot <taffit@debian.org>  Tue, 17 Dec 2024 09:23:26 +0100

symfony (7.2.0~rc1+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.2.0-RC1

  [ Christian Flothmann ]
  * skip autocomplete test when stty is not available
  * normalize paths to avoid failures if a path is referenced by different names
  * handle error results of DateTime::modify()
  * fix referencing the SYMFONY_VERSION env var
  * fix support for phpstan/phpdoc-parser 2
  * fix support for phpstan/phpdoc-parser 2
  * update ICU data from 75.1 to 76.1
  * relax format assertions for fstat() results on Windows
  * require Cache component versions compatible with Redis 6.1

  [ Nicolas Grekas ]
  * [HttpClient] Resolve hostnames in NoPrivateNetworkHttpClient
    [CVE-2024-50342]

  [ Jérémy Derussé ]
  * [security-http] Check owner of persisted remember-me cookie
    [CVE-2024-51996]

 -- David Prévot <taffit@debian.org>  Thu, 14 Nov 2024 11:34:22 +0100

symfony (7.2.0~beta2+dfsg-1) experimental; urgency=medium

  [ Nicolas Grekas ]
  * [HttpClient] Filter private IPs before connecting when Host == IP
    [CVE-2024-50342]
  * [HttpFoundation] Reject URIs that contain invalid characters
    [CVE-2024-50345]
  * [Process] Use %PATH% before %CD% to load the shell on Windows
    [CVE-2024-51736]

  [ Fabien Potencier ]
  * Update VERSION for 7.2.0-BETA2

  [ Wouter de Jong ]
  * Do not read from argv on non-CLI SAPIs [CVE-2024-50340]

  [ David Prévot ]
  * Update 7.1.3+dfsg-1 changelog entry to document [CVE-2024-50341]
  * Update 7.1.4+dfsg-1 changelog entry to document [CVE-2024-50343]

 -- David Prévot <taffit@debian.org>  Fri, 08 Nov 2024 10:32:55 +0100

symfony (7.2.0~beta1+dfsg-1) experimental; urgency=medium



=== debian/control ===
--- 
+++ 
@@ -3,10 +3,8 @@
 Uploaders: Daniel Beyer <dabe@deb.ymc.ch>, David Prévot <taffit@debian.org>
 Section: php
 Priority: optional
-Standards-Version: 4.7.0
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-phpcomposer,
-               pkg-php-tools
+Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (= 13), dh-sequence-phpcomposer, pkg-php-tools
 Build-Depends-Indep: composer,
                      dctrl-tools,
                      file,
@@ -20,6 +18,7 @@
                      php-async-aws-sqs,
                      php-cache-integration-tests,
                      php-curl,
+                     php-dba,
                      php-doctrine-data-fixtures,
                      php-doctrine-orm,
                      php-dragonmantank-cron-expression,
@@ -28,21 +27,22 @@
                      php-guzzlehttp-promises,
                      php-http-httplug,
                      php-intl,
+                     php-jolicode-jolinotif,
                      php-ldap,
                      php-league-html-to-markdown,
                      php-league-uri,
                      php-masterminds-html5,
                      php-mbstring,
                      php-memcached,
-                     php-monolog (>= 3),
+                     php-monolog,
                      php-nyholm-psr7,
-                     php-pda-pheanstalk,
+                     php-pda-pheanstalk (>= 7),
                      php-pgsql,
                      php-phpdbg,
                      php-phpdocumentor-reflection-docblock,
                      php-phpstan-phpdoc-parser,
                      php-predis,
-                     php-psr-cache (>= 2),
+                     php-psr-cache,
                      php-psr-clock,
                      php-psr-container,
                      php-psr-http-client,
@@ -51,11 +51,11 @@
                      php-psr-simple-cache,
                      php-redis,
                      php-sqlite3,
-                     php-symfony-contracts (>= 3),
+                     php-symfony-contracts (>= 3.6),
                      php-symfony-mercure-bundle,
-                     php-symfony-polyfill-php83,
                      php-symfony-security-acl,
-                     php-twig (>= 3.10),
+                     php-symfony-webpack-encore-bundle,
+                     php-twig (>= 3.21),
                      php-twig-cssinliner-extra,
                      php-twig-inky-extra,
                      php-twig-markdown-extra,
@@ -91,7 +91,7 @@
 Replaces: ${phpcomposer:Debian-replace}
 Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
 Provides: ${phpcomposer:Debian-provide}
-Homepage: https://symfony.com/doc/7.1/components/asset.html
+Homepage: https://symfony.com/doc/7.3/components/asset.html
 Description: manage asset URLs
  The Symfony Asset Component manages URL generation and versioning of
  web assets such as CSS stylesheets, JavaScript files and image files.
@@ -121,7 +121,7 @@
 Replaces: ${phpcomposer:Debian-replace}
 Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
 Provides: ${phpcomposer:Debian-provide}
-Homepage: https://symfony.com/doc/7.1/components/browser_kit.html
+Homepage: https://symfony.com/doc/7.3/components/browser_kit.html
 Description: simulate the behavior of a web browser
  The Symfony BrowserKit Component simulates the behavior of a web browser,
  allowing you to make requests, click on links and submit forms
@@ -136,7 +136,7 @@
 Replaces: ${phpcomposer:Debian-replace}
 Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
 Provides: ${phpcomposer:Debian-provide}
-Homepage: https://symfony.com/doc/7.1/components/cache.html
+Homepage: https://symfony.com/doc/7.3/components/cache.html
 Description: provides extended PSR-6, PSR-16 (and tags) implementations
  The Symfony Cache Component provides extended PSR-6 implementations for
  adding cache to applications. It is designed to have a low overhead so
@@ -153,7 +153,7 @@
 Replaces: ${phpcomposer:Debian-replace}
 Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
 Provides: ${phpcomposer:Debian-provide}
-Homepage: https://symfony.com/doc/7.1/components/config.html
+Homepage: https://symfony.com/doc/7.3/components/config.html
 Description: load configurations from different data sources
  The Symfony Config Component provides the infrastructure for loading
  configurations from different data sources and optionally monitoring
@@ -170,7 +170,7 @@
 Replaces: ${phpcomposer:Debian-replace}
 Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
 Provides: ${phpcomposer:Debian-provide}
-Homepage: https://symfony.com/doc/7.1/components/clock.html
+Homepage: https://symfony.com/doc/7.3/components/clock.html
 Description: ${phpcomposer:description}
  The Symfony Clock Component decouples applications from the system clock.
  This allows one to fix time to improve testability of time-sensitive logic.
@@ -184,7 +184,7 @@
 Replaces: ${phpcomposer:Debian-replace}
 Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
 Provides: ${phpcomposer:Debian-provide}
-Homepage: https://symfony.com/doc/7.1/components/console.html
+Homepage: https://symfony.com/doc/7.3/components/console.html
 Description: run tasks from the command line
  The Symfony Console Component can be used to implement recurring
  or long running tasks, such as cronjobs, imports or other batch
@@ -201,7 +201,7 @@
 Replaces: ${phpcomposer:Debian-replace}
 Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
 Provides: ${phpcomposer:Debian-provide}
-Homepage: https://symfony.com/doc/7.1/components/css_selector.html
+Homepage: https://symfony.com/doc/7.3/components/css_selector.html
 Description: convert CSS selectors to XPath expressions
  The Symfony CssSelector Component can be used to convert CSS selectors
  to XPath expressions. It basically is a port of the Python lxml library.
@@ -215,7 +215,7 @@
 Replaces: ${phpcomposer:Debian-replace}
 Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
 Provides: ${phpcomposer:Debian-provide}
-Homepage: https://symfony.com/doc/7.1/components/dependency_injection.html
+Homepage: https://symfony.com/doc/7.3/components/dependency_injection.html
 Description: standardize and centralize construction of objects
  The Symfony DependencyInjection Component allows one to standardize and
  centralize the way objects are constructed in an application.
@@ -229,7 +229,7 @@
 Replaces: ${phpcomposer:Debian-replace}
 Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
 Provides: ${phpcomposer:Debian-provide}
-Homepage: https://symfony.com/doc/7.1/components/dom_crawler.html
+Homepage: https://symfony.com/doc/7.3/components/dom_crawler.html
 Description: ease DOM navigation for HTML and XML documents
  The Symfony DomCrawler Component provides methods to query and
  manipulate HTML and XML documents.
@@ -244,7 +244,7 @@
 Replaces: ${phpcomposer:Debian-replace}
 Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
 Provides: ${phpcomposer:Debian-provide}
-Homepage: https://symfony.com/doc/7.1/components/dotenv.html
+Homepage: https://symfony.com/doc/7.3/components/dotenv.html
 Description: .env files parser to make environment variables accessible
  The Symfony Dotenv Component parses .env files to make environment variables
  stored in them accessible via getenv(), $_ENV, or $_SERVER.
@@ -272,10 +272,8 @@
 Replaces: ${phpcomposer:Debian-replace}
 Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
 Provides: ${phpcomposer:Debian-provide}
-Homepage: https://symfony.com/doc/7.1/components/error_handler.html
+Homepage: https://symfony.com/doc/7.3/components/error_handler.html
 Description: manage errors and ease debugging
  The Symfony ErrorHandler Component provides tools to manage errors and ease
  debugging PHP code.
  .
- Symfony is a PHP framework, a set of tools and a development methodology.
-

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/default.mk
+UPSTREAM := $(DEB_VERSION_UPSTREAM)
 
 %:
 	dh $@
@@ -61,6 +64,7 @@
 		--exclude 'src/Symfony/Bridge/Doctrine/Tests/PropertyInfo/Fixtures/DoctrineWithEmbedded.php' \
 		--exclude 'src/Symfony/Bridge/ProxyManager/Tests/LazyProxy/PhpDumper/Fixtures/proxy-implem.php' \
 		--exclude 'src/Symfony/Component/DependencyInjection/Tests/Fixtures/php/*' \
+		--exclude 'src/Symfony/Component/PropertyInfo/Tests/Extractor/PhpStanExtractorTest.php' \
 		--exclude 'src/Symfony/Component/Routing/Tests/Fixtures/AttributesFixtures/*' \
 		--whitelist 'symfony\\*' \
 		--tolerant \
@@ -73,6 +77,12 @@
 override_dh_auto_test:
 	mkdir --parents vendor build
 	cp -r src/Symfony build
+	sed -i "s/@VERSION@/$(UPSTREAM)/;s/\+dfsg//" \
+		$(CURDIR)/build/Symfony/Bundle/DebugBundle/DependencyInjection/Configuration.php \
+		$(CURDIR)/build/Symfony/Bundle/FrameworkBundle/DependencyInjection/Configuration.php \
+                $(CURDIR)/build/Symfony/Bundle/SecurityBundle/DependencyInjection/MainConfiguration.php \
+                $(CURDIR)/build/Symfony/Bundle/TwigBundle/DependencyInjection/Configuration.php \
+                $(CURDIR)/build/Symfony/Bundle/WebProfilerBundle/DependencyInjection/Configuration.php
 	rm -r build/Symfony/Contracts
 	cp debian/autoload_runtime.php vendor
 	phpab	--output vendor/autoload.php \
@@ -88,6 +98,7 @@
 		--exclude 'build/Symfony/Bridge/ProxyManager/Tests/LazyProxy/PhpDumper/Fixtures/proxy-implem.php' \
 		--exclude 'build/Symfony/Component/DependencyInjection/Tests/Fixtures/php/*' \
 		--exclude 'build/Symfony/Component/Messenger/Tests/Exception/HandlerFailedExceptionTest.php' \
+		--exclude 'build/Symfony/Component/PropertyInfo/Tests/Extractor/PhpStanExtractorTest.php' \
 		--exclude 'build/Symfony/Component/Routing/Tests/Fixtures/AttributesFixtures/*' \
 		build/Symfony
 	ln -s /usr/share/php/AsyncAws build
@@ -98,10 +109,12 @@
 	ln -s /usr/share/php/Egulias build
 	ln -s /usr/share/php/GuzzleHttp build
 	ln -s /usr/share/php/Http build
+	ln -s /usr/share/php/JoliCode build
 	ln -s /usr/share/php/League build
 	ln -s /usr/share/php/Masterminds build
 	ln -s /usr/share/php/Monolog build
 	ln -s /usr/share/php/Nyholm build
+	ln -s /usr/share/php/PhpParser build
 	ln -s /usr/share/php/Pheanstalk build
 	ln -s /usr/share/php/phpDocumentor build
 	ln -s /usr/share/php/PHPStan build
@@ -113,11 +126,15 @@
 	ln -s /usr/share/php/Symfony/Component/Mercure build/Symfony/Component
 	ln -s /usr/share/php/Symfony/Component/Security/Acl build/Symfony/Component/Security
 	ln -s /usr/share/php/Symfony/Polyfill build/Symfony
+	ln -s /usr/share/php/Symfony/WebpackEncoreBundle build/Symfony
 	ln -s /usr/share/php/Twig build
 	ln -s build/Symfony .
+	# Drop never ending testsuite with PHPUnit 11
+	rm -f build/Symfony/Component/HttpKernel/phpunit.xml.dist
+	rm -f build/Symfony/Component/RateLimiter/phpunit.xml.dist
 	# Actual tests suite
 	components=$$(find build/Symfony -mindepth 3 -maxdepth 4 -type f -name phpunit.xml.dist -printf '%h\n') && \
-	 echo "$$components" | parallel --gnu --keep-order '/bin/echo -e "\\nRunning {} tests"; SYMFONY_DEPRECATIONS_HELPER=weak php -d assert.exception=1 -d zend.assertions=1 /usr/bin/phpunit --include build --colors=always --exclude-group jwt,network,tty,benchmark,intl-data,functional,composer {} || (/bin/echo -e "\\e[41mKO\\e[0m {}" && $$(exit 1));';
+	 echo "$$components" | parallel --gnu --keep-order '/bin/echo -e "\\nRunning {} tests"; SYMFONY_DEPRECATIONS_HELPER=weak php -d assert.exception=1 -d zend.assertions=1 /usr/bin/phpunit --include build --colors=always --exclude-group jwt --exclude-group network --exclude-group tty --exclude-group benchmark --exclude-group intl-data --exclude-group functional --exclude-group composer --exclude-group nophpunit11 {} || (/bin/echo -e "\\e[41mKO\\e[0m {}" && $$(exit 1));';
 
 override_dh_phpcomposer:
 	dh_phpcomposer --package=php-symfony --sourcedirectory=./
@@ -127,37 +144,3 @@
 	# package.
 	set -e;\
 	 for package_info_file in $$(find debian/packages_to_build/ -mindepth 1 -maxdepth 1 -type f); do \
-	  . $$package_info_file; \
-	  dh_phpcomposer --package=$$deb_pkg_name --sourcedirectory=$$src_path; \
-	 done
-
-override_dh_install:
-	dh_install --package=php-symfony
-	# In debian/packages_to_build/ a file containing shell variables exists
-	# for each package that should be build. Source one file after another
-	# to make the shell variables available and run dh_install in order to
-	# provide the PHP runtime code for each package.
-	set -e; \
-	 for package_info_file in $$(find debian/packages_to_build/ -mindepth 1 -maxdepth 1 -type f); do \
-	  . $$package_info_file; \
-	  dh_install --package=$$deb_pkg_name; \
-	  dh_install --package=$$deb_pkg_name \
-	      debian/autoloaders/$$deb_pkg_name usr/share/pkg-php-tools/autoloaders; \
-	  if [ \( $$deb_pkg_name = php-symfony-mailer \) -o \
-	       \( $$deb_pkg_name = php-symfony-messenger \) -o \
-	       \( $$deb_pkg_name = php-symfony-notifier \) -o \
-	       \( $$deb_pkg_name = php-symfony-translation \) ] ; then \
-	   dh_install \
-		-X.md \
-		-Xcomposer.json \
-		-XBridge \
-		-XLICENSE \
-		-Xphpunit.xml.dist \
-		-XTests \
-		--package=$$deb_pkg_name \
-		$$src_path/* \
-		usr/share/php/Symfony/$$pkg_path/; \
-	  else \
-	   dh_install \
-		-X.git \
-		-X.md \

=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Tests: phpunit
-Restrictions: rw-build-tree, allow-stderr
+Restrictions: allow-stderr, rw-build-tree
 Depends: composer,
          locales-all,
          parallel,
@@ -9,6 +9,7 @@
          php-async-aws-sqs,
          php-cache-integration-tests,
          php-curl,
+         php-dba,
          php-doctrine-data-fixtures,
          php-doctrine-orm,
          php-dragonmantank-cron-expression,
@@ -30,6 +31,7 @@
          php-sqlite3,
          php-symfony-mercure-bundle,
          php-symfony-security-acl,
+         php-symfony-webpack-encore-bundle,
          php-twig-cssinliner-extra,
          php-twig-inky-extra,
          php-twig-markdown-extra,

## symfony 7.3.3+dfsg

=== debian/changelog ===
symfony (7.3.3+dfsg-1) experimental; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 7.3.3

  [ David Prévot ]
  * Remove Rules-Requires-Root
  * Use --include-path instead of --include for phpunit
  * PHPunit 12 compatibility

 -- David Prévot <taffit@debian.org>  Sun, 31 Aug 2025 09:00:47 +0200

## symfony 7.3.4%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -60,12 +60,12 @@
                      php-twig-inky-extra,
                      php-twig-markdown-extra,
                      php-uuid,
+                     php-zstd,
                      phpab,
                      phpunit
 Homepage: https://symfony.com/
 Vcs-Browser: https://salsa.debian.org/php-team/pear/symfony
 Vcs-Git: https://salsa.debian.org/php-team/pear/symfony.git
-Rules-Requires-Root: no
 
 Package: php-symfony
 Architecture: all
